For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Pricing Groups
      • POSTCreate Pricing Group
      • GETGet Pricing Group
      • DELDelete Pricing Group
      • PATCHUpdate Pricing Group Metadata
      • PUTUpdate Pricing Group Rates
      • POSTAssign Accounts To Pricing Group
      • DELUnassign Accounts From Pricing Group
LogoLogo
Contact SupportGet Started
API ReferencePricing Groups

Update Pricing Group Rates

PUT
/digital-banking/v1/pricing-groups/:pricing_group_id/rates
PUT
/digital-banking/v1/pricing-groups/:pricing_group_id/rates
$curl -X PUT https://api.modernfi.com/digital-banking/v1/pricing-groups/pricing_group_id/rates \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "interest_rate_tiers": [
> {
> "min_balance": 1.1,
> "max_balance": 1.1
> }
> ]
>}'
1{
2 "id": "string",
3 "institution_id": "string",
4 "name": "string",
5 "description": "string",
6 "account_count": 1,
7 "interest_rate_tiers": [
8 {
9 "min_balance": "string",
10 "max_balance": "string",
11 "rate": "string",
12 "floating_spread": "string"
13 }
14 ],
15 "created_at": "string",
16 "updated_at": "string",
17 "accounts": [
18 {
19 "id": "string",
20 "title": "string"
21 }
22 ]
23}
Update the rate tiers for a pricing group. The new rates will automatically cascade to all accounts assigned to this pricing group on the specified effective date. This creates a new rate tier version while preserving historical rate data.
Was this page helpful?
Previous

Assign Accounts To Pricing Group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pricing_group_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
interest_rate_tierslist of objectsRequired
New rate tiers for the pricing group.
effective_atstringOptionalformat: "date-time"
When these rates become effective. Defaults to now if not provided.

Response

Successful Response
idstring
institution_idstring
namestring
descriptionstring or null
account_countinteger
Number of accounts currently assigned to this pricing group
interest_rate_tierslist of objects
created_atstring
updated_atstring
accountslist of objects
List of accounts assigned to this pricing group

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error